libdumbnet (1.18.0-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * Drop strlcat/strlcpy from symbols (Closes: #1071321)

 -- Bastian Germann <bage@debian.org>  Sun, 26 May 2024 16:35:47 +0000

libdumbnet (1.18.0-1) unstable; urgency=medium

  * [9f0ff73] New upstream version 1.18.0
  * [2fb6bb8] debian/copyright: update for new upstream release
  * [73e5c8b] refresh patches
  * [dba4094] debian/control: B-D on pkgconf instead of on pkg-config

 -- Florian Ernst <florian@debian.org>  Sun, 10 Mar 2024 13:11:12 +0100

libdumbnet (1.17.0-1) unstable; urgency=medium

  * [f85ba27] New upstream version 1.17.0
  * [dce82d6] debian/patches/01rename_library.patch: refresh
  * [0e461a1] debian/libdumbnet1.symbols: updated

 -- Florian Ernst <florian@debian.org>  Tue, 17 Oct 2023 17:21:34 +0200

libdumbnet (1.16.4-1) unstable; urgency=medium

  * [4893e69] New upstream version 1.16.4
  * [e81a2eb] refresh patches

 -- Florian Ernst <florian@debian.org>  Mon, 26 Jun 2023 18:45:44 +0200

libdumbnet (1.16.3-1) unstable; urgency=medium

  * [8e0a34e] New upstream version 1.16.3
  * [6cef3b8] debian/patches/: refresh where needed

 -- Florian Ernst <florian@debian.org>  Thu, 12 Jan 2023 17:38:28 +0100

libdumbnet (1.16.2-1) unstable; urgency=medium

  * [e197b3c] New upstream version 1.16.2
  * [751ed7a] debian/copyright: update years
  * [8eaba43] debian/patches/: refresh where needed
  * [086cf9b] debian/control: Standards-Version: 4.6.2 (no changes required)

 -- Florian Ernst <florian@debian.org>  Wed, 04 Jan 2023 10:59:27 +0100

libdumbnet (1.16.1-2) unstable; urgency=medium

  * [ddb03b4] fix FTBFS on GNU/Hurd by omitting some symbols.
    Thanks to Svante Signell (Closes: 1021260)
  * [a5b35a7] debian/control: Standards-Version: 4.6.1.0 (no changes required)

 -- Florian Ernst <florian@debian.org>  Tue, 04 Oct 2022 19:03:05 +0200

libdumbnet (1.16.1-1) unstable; urgency=medium

  * [2f3fbc4] New upstream version 1.16
    * Removes local version of strl* and strsep (Closes: #749003)
  * [001cc11] New upstream version 1.16.1
  * [5b5c3e8] debian/copyright: update for new upstream release
  * [caa656b] debian/patches/: drop those now applied upstream
  * [b5d0df1] debian/patches/: refresh remaining files
  * [ba9c728] debian/libdumbnet1.symbols: update for new upstream
  * [22eaf3e] debian/patches/empty-line-in-manpages.patch: added fixing
    the manpages

 -- Florian Ernst <florian@debian.org>  Wed, 04 May 2022 21:17:06 +0200

libdumbnet (1.14-2) unstable; urgency=medium

  * [3204204] rely on pkg-config to detect "check" lib during build
  * [62641db] enable gitlab-ci on Salsa
  * [21da070] activate Salsa pipeline
  * [57d2f1b] debian/tests/: add simple autopkgtest test
  * [52fb455] default to verbose dh for better debuggability

 -- Florian Ernst <florian@debian.org>  Sat, 12 Mar 2022 15:22:34 +0100

libdumbnet (1.14-1) unstable; urgency=medium

  * [8738c08] New upstream version 1.14
    http://code.google.com/p/libdnet/ was migrated to
    https://github.com/dugsong/libdnet which in turn now redirects to
    https://github.com/ofalk/libdnet
  * [58c2ec8] debian/{control,copyright,watch}: update upstream homepage
  * [08a27ac] debian/README.Debian: drop now-obsolete note about upstream
    homepage
  * [e97d606] debian/patches/01rename_library.patch: update for new upstream
    release.
    For that debian/patches/01rename_library.sh.dpatch was salvaged from
    1.12-9, slightly adjusted for the new release and then used to generate
    the new patch.
  * [b95a8d9] refresh remaining patches, forward where needed, and supply
    DEP-3 headers
  * [20b2fa1] debian/patches/08typos.patch: added, fixing some common typos
  * [7c1d4aa] debian/copyright: redo machine-readable
  * [521907e] debian/copyright: also add BSD-4-clause License block
  * [b41e78e] debian/libdumbnet-dev.docs: follow upstream's README to
    README.md
  * [0f67980] debian/upstream/metadata: added
  * [411c9c5] debian/libdumbnet1.symbols: add Build-Depends-Package
  * [1204558] debian/changelog: trim trailing whitespace
  * [fc10881] debian/rules: enable all hardening options
  * [5efc1b2] debian/control: add Vcs-* pointing to salsa
  * [9f14f81] debian/control: new maintainer (Closes: #698982)

 -- Florian Ernst <florian@debian.org>  Sun, 27 Feb 2022 13:21:44 +0100

libdumbnet (1.12-10) unstable; urgency=medium

  * QA upload
  * debian/:
    * Replace dpatch with quilt and convert to 3.0 (quilt) source format
    * Rewrite debian/rules as short-form dh with debhelper compat 13
  * debian/control:
    * Remove obsolete Pre-Depends
    * Bump Standards-Version to 4.6.0
  * debian/*.{postinst,postrm,preinst}: Removed, no longer needed

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 09 Jan 2022 19:26:17 +0100

libdumbnet (1.12-9) unstable; urgency=medium

  * QA upload.
  * Drop the Python subpackage.

 -- Andrey Rahmatullin <wrar@debian.org>  Wed, 21 Aug 2019 22:12:02 +0500

libdumbnet (1.12-8) unstable; urgency=medium

  * QA upload.
  * Correct the placement and the call to dh_prep.  (Closes: #908910)
  * Use dh_auto_{configure,build,install} as they know how to pass
    cross-building information to the upstream build system.
  * Set Rules-Requires-Root to "no".
  * Remove duplicated Build-Depends on autoconf.

 -- Niels Thykier <niels@thykier.net>  Sun, 16 Sep 2018 07:24:55 +0000

libdumbnet (1.12-7) unstable; urgency=medium

  * QA upload.
  * Multiarchify the library package.
  * Build using dpkg-buildflags.
  * Bump the lintian and debhelper level.
  * Build using dh-python.
  * Enable parallel builds.

 -- Matthias Klose <doko@debian.org>  Fri, 05 Feb 2016 12:24:58 +0100

libdumbnet (1.12-6) unstable; urgency=medium

  * QA upload.
  * Make people who test upgrades from testing to unstable
    happy (Closes: #775896).

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 05 Feb 2015 19:06:08 +0100

libdumbnet (1.12-5) unstable; urgency=medium

  * QA upload.
  * Fix missing doc folder during upgrades
    (Closes: #775896)

 -- Bernd Zeimetz <bzed@debian.org>  Fri, 30 Jan 2015 22:53:35 +0100

libdumbnet (1.12-4) unstable; urgency=low

  * QA upload.
    - Set Maintainer to Debian QA Group.
  * Convert to dh_python2 (Closes: #616861).
  * debian/rules:
    - Pass --add-missing parameter to automake call (Closes: #713367).

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 07 Jul 2013 14:20:17 +0200

libdumbnet (1.12-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Don't ship .la files.

 -- Luk Claes <luk@debian.org>  Fri, 01 Jul 2011 19:43:39 +0200

libdumbnet (1.12-3) unstable; urgency=low

  * Restore lost libdumbnet.so symlink in the -dev package.
    Closes: #542972.
  * Provide dumbnet-config again, provide the old name 'dnet-config'
    as a symlink, and make it print the correct -l parameter (i.e.
    include it into the changed files of the 01rename_library patch).
    Closes: #543050.
  * Write a terse manpage for dumbnet-config.
  * Bump Standards Version to 3.8.3.
    * Add a README.source file.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Sun, 23 Aug 2009 00:09:20 +0200

libdumbnet (1.12-2) unstable; urgency=low

  * kfreebsd has <stropts.h>, too, so the ./configure check to decide
    between tun-solaris and tun-bsd is bogus. For the time being patch
    ./configure.in to drop that test and choose tun-bsd right away.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Wed, 29 Jul 2009 13:56:43 +0200

libdumbnet (1.12-1) unstable; urgency=low

  * New upstream version.
  * Update upstream location in all Debian files, but do not overwrite
    the upstream README - add a note to README.Debian instead.
  * Add a symbols file.
  * Bump Standards Version to 3.8.2.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Sat, 25 Jul 2009 13:51:29 +0200

libdumbnet (1.11-1) UNRELEASED; urgency=low

  * Adopt the package. Closes: #474128.
  * New upstream version.
  * Completely rework the packaging. Use dpatch for patch management.
  * Thoroughly revise debian/copyright.
  * Accomplish the Debian-specific library renaming by modifying the
    .am files and rerunning the whole auto-toolchain. This is the cleanest
    way to do this and produces the smallest distro diff.
    -> New dpatch (script): 01rename_library.sh
  * Activate the python module build (closes: #388541):
    * Configure --with-python.
    * Patch the .pyx code to avoid using the reserved keyword 'type' as a
      mundane identifier.
      -> New dpatch: 02python_type_is_reserved
    * Patch the python Makefile to build against all current python versions.
      -> New dpatch: 03build_all_python_versions
  * Use debhelper v7.
  * Standards Version is now 3.8.1.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Sat, 28 Mar 2009 01:51:45 +0100

libdumbnet (1.8-2) unstable; urgency=low

  * QA upload.
    + Set maintainer to Debian QA Group <packages@qa.debian.org>.
  * Move {Source-Version} to {binary:Version}.
  * Change pwd to CURDIR in rules.
  * Add {shlibs:Depends} to dev package.
  * Add watch file.
  * Remove redundant section: libs from binary package.
  * Bump debhelper build-dep and compat to 5.
  * Bump Standards Version to 3.8.0.

 -- Barry deFreese <bdefreese@debian.org>  Fri, 23 Jan 2009 18:00:52 -0500

libdumbnet (1.8-1.5) unstable; urgency=low

  * Porter NMU.
  * Added support for GNU/kFreeBSD, patch from the BTS (closes: bug#341598).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 10 Dec 2006 20:38:30 +0100

libdumbnet (1.8-1.4) unstable; urgency=low

  * NMU
  * Fix a bug in addr_btos() (Closes: #364821)

 -- Julien Danjou <acid@debian.org>  Tue, 16 May 2006 13:56:32 +0200

libdumbnet (1.8-1.3) unstable; urgency=low

  * Fixed SONAME problem by fixing the -version-info number in
    src/Makefile.am (Closes: #289777)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 11 Jan 2005 16:13:41 +0100

libdumbnet (1.8-1.2) unstable; urgency=low

  * Introduce AM_MAINTAINER_MODE in configure.in to avoid timestamp
    skew of the auto* files, also touch ac files in debian/rules configure
    just in case (Closes: #289794)
  * Check if symlinks exist before creating them (in config.status
    and distclean target in debian/rules)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 11 Jan 2005 14:55:00 +0100

libdumbnet (1.8-1.1) unstable; urgency=low

  * NMU with maintainer's approval.
  * New upstream release (Closes: #253572)
   - Updated config.sub and config.guess from automake 1.7
   - Fixed configure.in since there is no need now to normalize LTLIBOBJS
   - Rerun aclocal, automake and autoconf
   - Updated debian/patches/libdumbnet.patch
   - Change debian/rules so that it will only distclean if the Makefile
     is there and so that it will create the symlinks it needs for cleaning
     if they are not available (will happen if the 'Makefile distclean' breaks
     at some point)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Thu, 23 Dec 2004 11:42:14 +0100

libdumbnet (1.7-3) unstable; urgency=low

  * Fix acinclude.m4, aclocal.m4, configure.in, and configure to test
    correctly for PF_PACKET support on GNU/Linux.  This will cause
    libdumbnet to include the right eth-$ARCH.o file.  (Closes: Bug#219303)

 -- Simon Law <sfllaw@debian.org>  Thu, 13 Nov 2003 01:44:56 -0500

libdumbnet (1.7-2) unstable; urgency=low

  * Use netinet/* headers instead of linux/* headers in src/fw-ipchains.c

 -- Simon Law <sfllaw@debian.org>  Thu, 09 Oct 2003 09:52:00 -0400

libdumbnet (1.7-1) unstable; urgency=low

  * New upstream release.  (Closes: Bug#193777)
  * Added a src/net/sock.h since its contents are unneeded.
    (Closes: Bug#207698)
  * Removed the period from the short description.
  * Moved libdumbnet-dev to libdevel.
  * Makefile.am: Set SONAME to 1.0.0.

 -- Simon Law <sfllaw@debian.org>  Tue,  7 Oct 2003 17:52:59 -0400

libdumbnet (1.5-2) unstable; urgency=low

  * Wrote a better description for libdumbnet-dev. (Closes: Bug#162995)
  * Mentioned the namespace conflict with libdnet so that it will
    show up on an `apt-cache search libdnet`

 -- Simon Law <sfllaw@debian.org>  Fri, 04 Oct 2002 23:22:36 -0400

libdumbnet (1.5-1) unstable; urgency=low

  * Initial Release.  (Closes: Bug#157350, Bug#157351)
  * Renamed this library to libdumbnet to avoid namespace conflicts.
  * Makefile.am configure.in: Now uses libtool to build shared libraries
  * Makefile.am: Set SONAME to 0.0.0

 -- Simon Law <sfllaw@debian.org>  Sat, 28 Sep 2002 12:23:08 -0400
